
#include "common.h"
#include "BinaryTree.h"
#include "ExpressionTree.h"

int main(void)
{
	char exp[] = "12+7*";

	BTreeNode* eTree = MakeExpressionTree(exp);

	printf("PrefixExpTreeTraverse : ");
	PrefixExpTreeTraverse(eTree);	
	printf("\n");

	printf("InfixExpTreeTraverse : ");
	InfixExpTreeTraverse(eTree);
	printf("\n");

	printf("PostfixExpTreeTraverse : ");
	PostfixExpTreeTraverse(eTree);
	printf("\n");

	printf("InfixExpTreeTraverseWithBrackets : ");
	InfixExpTreeTraverseWithBrackets(eTree);
	printf("\n");

	/*	Ʈ 	*/
	DeleteTree(eTree);

	return 0;
}








